ThermoResult
Date: 2014-08-08

melting

## Class ThermoResult

- java.lang.Object
- - melting.Thermodynamics
  - - melting.ThermoResult

-     public class ThermoResult
      extends Thermodynamics

  This class extends Thermodynamics. It represents the computed thermodynamic results of Melting It contains a Tm double and a salIndependentEntropy double value as instance variables in addition to the instance variables of the Thermodynamics class.

- - ### Field Summary

    - ### Fields inherited from class melting.Thermodynamics

      `enthalpy, entropy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThermoResult(double enthalpy, double entropy, double Tm)` creates a ThermoResult object initialised with the double enthalpy, double entropy and double Tm.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MeltingComputationMethod` | `getCalculMethod()` Gets the calculation method of the `ThermoResult`.
    `double` | `getEnergyValueInJ(double energyValue)` converts the energyValy double in cal/mol into an energy value in J/mol.
    `double` | `getSaltIndependentEntropy()` This method is called to get the SaltIndependentEntropy of ThermoResult.
    `double` | `getTm()` This method is called to get the Tm of ThermoResult.
    `void` | `setCalculMethod(MeltingComputationMethod calculMethod)` Changes the calculation method in the `ThermoResult`.
    `void` | `setSaltIndependentEntropy(double saltIndependentEntropy)` This method is called to change the SaltIndependentEntropy of ThermoResult.
    `void` | `setTm(double tm)` This method is called to change the Tm of ThermoResult.

    - ### Methods inherited from class melting.Thermodynamics

      `getEnthalpy, getEntropy, setEnthalpy, setEntropy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThermoResult

          public ThermoResult(double enthalpy,
                      double entropy,
                      double Tm)

      creates a ThermoResult object initialised with the double enthalpy, double entropy and double Tm.
      Parameters:
        `enthalpy` - : the enthalpy value
        `entropy` - : the entropy value
        `Tm` - : the melting temperature

  - ### Method Detail

    - #### getTm

          public double getTm()

      This method is called to get the Tm of ThermoResult.
      Returns:
        double : the Tm of ThermoResult.

    - #### setTm

          public void setTm(double tm)

      This method is called to change the Tm of ThermoResult.
      Parameters:
        `tm` - : the new melting temperature

    - #### getSaltIndependentEntropy

          public double getSaltIndependentEntropy()

      This method is called to get the SaltIndependentEntropy of ThermoResult.
      Returns:
        double : the SaltIndependentEntropy of ThermoResult.

    - #### setSaltIndependentEntropy

          public void setSaltIndependentEntropy(double saltIndependentEntropy)

      This method is called to change the SaltIndependentEntropy of ThermoResult.
      Parameters:
        `SaltIndependentEntropy` - : the new salt independent concentration.

    - #### getCalculMethod

          public MeltingComputationMethod getCalculMethod()

      Gets the calculation method of the `ThermoResult`.
      Returns:
        the caluculation method.

    - #### setCalculMethod

          public void setCalculMethod(MeltingComputationMethod calculMethod)

      Changes the calculation method in the `ThermoResult`.
      Parameters:
        `calculMethod` - : the new calculation method.

    - #### getEnergyValueInJ

          public double getEnergyValueInJ(double energyValue)

      converts the energyValy double in cal/mol into an energy value in J/mol.
      Parameters:
        `energyValue` - : a thermodynamic energy value in cal/mol (enthalpy or entropy)
      Returns:
        a double representing the energy value in J/mol.